#-*- coding: utf-8 -+-
#!/usr/bin/python

import sys
import math
import shutil, errno
import os
import shlex
import gzip
from pylab import *
from random import *
import subprocess
from numpy.linalg import norm
import difflib

if len(sys.argv)!= 3:
  sys.stderr.write("Usage: python countSTRINGconnects.py <string_file> <outfile>")
  sys.exit(-1)

string_file = open(sys.argv[1],'r')
outfile = open(sys.argv[2],'w')

gene2interactions = {}

for line in string_file:
	line_vec = line.split("\t")
	if gene2interactions.has_key(line_vec[0]):
		gene2interactions[line_vec[0]].append(line_vec[1]) 
	else:
		partners = []
		partners.append(line_vec[1])
		gene2interactions[line_vec[0]] = partners
		

for key in gene2interactions:
	length = len(set(gene2interactions[key]))
	outfile.write(key + "\t" + str(length) + "\n")

