#-*- coding: utf-8 -+-
#!/usr/bin/python

import sys
import math
import shutil, errno
import os
import shlex
import gzip
from pylab import *
from random import *
import subprocess
from numpy.linalg import norm
import difflib

if len(sys.argv)!= 4:
  sys.stderr.write("Usage: python selectGenes.py <string_file> <toSelect> <outfile>")
  sys.exit(-1)

string_file = open(sys.argv[1],'r')
to_select = open(sys.argv[2],'r')
outfile = open(sys.argv[3],'w')

genes_to_select = []

for gline in to_select:
	genes_to_select.append(gline.strip())

for line in string_file:
	line_vec = line.split("\t")
	if line_vec[0] in genes_to_select or line_vec[1] in genes_to_select:
		outfile.write(line)
